Package com.orchestranetworks.service.comparison

# Interface DifferenceBetweenTables

All Superinterfaces:
  `Difference`

public interface DifferenceBetweenTables extends Difference
Represents the difference between two tables. In a table, records are identified by their primary keys.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DifferenceBetweenInstances`
  `getContainer()`
  Returns the container.
  `DifferenceBetweenOccurrences`
  `getDeltaOccurrence(PrimaryKey aPrimaryKey)`
  `List<DifferenceBetweenOccurrences>`
  `getDeltaOccurrences()`
  Returns the delta records.
  `void`
  `getDeltaOccurrences(List<? super DifferenceBetweenOccurrences> aCollection)`
  Adds the delta records to the specified collection.
  `int`
  `getDeltaOccurrencesSize()`
  Returns the total number of delta records.
  `ExtraOccurrenceOnLeft`
  `getExtraOccurrenceOnLeft(PrimaryKey aKey)`
  `ExtraOccurrenceOnRight`
  `getExtraOccurrenceOnRight(PrimaryKey aKey)`
  `List<ExtraOccurrenceOnLeft>`
  `getExtraOccurrencesOnLeft()`
  Returns the extra records on the left side.
  `void`
  `getExtraOccurrencesOnLeft(List<? super ExtraOccurrenceOnLeft> aCollection)`
  Adds the extra records on the left side to the specified collection.
  `int`
  `getExtraOccurrencesOnLeftSize()`
  Returns the total number of extra records on the left side.
  `List<ExtraOccurrenceOnRight>`
  `getExtraOccurrencesOnRight()`
  Returns the extra records on the right.
  `void`
  `getExtraOccurrencesOnRight(List<? super ExtraOccurrenceOnRight> aCollection)`
  Adds the extra records on the right side to the specified collection.
  `int`
  `getExtraOccurrencesOnRightSize()`
  Returns the total number of extra records on the right side.
  `AdaptationTable`
  `getLeft()`
  Returns the table on the left side.
  `Path`
  `getPathOnLeft()`
  Returns the path of the table on the left side.
  `Path`
  `getPathOnRight()`
  Returns the path of the table on the right side.
  `AdaptationTable`
  `getRight()`
  Returns the table on the right side.

  ### Methods inherited from interface com.orchestranetworks.service.comparison.Difference

  `isEmpty, isResolvedMode`

- ## Method Details

  - ### getContainer

    DifferenceBetweenInstances getContainer()
    Returns the container.

  - ### getLeft

    AdaptationTable getLeft()
    Returns the table on the left side.

  - ### getPathOnLeft

    Path getPathOnLeft()
    Returns the path of the table on the left side.

  - ### getRight

    AdaptationTable getRight()
    Returns the table on the right side.

  - ### getPathOnRight

    Path getPathOnRight()
    Returns the path of the table on the right side.

  - ### getExtraOccurrencesOnLeft

    List<ExtraOccurrenceOnLeft> getExtraOccurrencesOnLeft()
    Returns the extra records on the left side. These are the records that exist in the table on the left but not in the table on the right.
    Returns:
      a `List` of `ExtraOccurrenceOnLeft`.

  - ### getExtraOccurrenceOnLeft

    ExtraOccurrenceOnLeft getExtraOccurrenceOnLeft(PrimaryKey aKey)

  - ### getExtraOccurrencesOnLeft

    void getExtraOccurrencesOnLeft(List<? super ExtraOccurrenceOnLeft> aCollection)
    Adds the extra records on the left side to the specified collection.

    This is equivalent to:

         aCollection.addAll(this.getExtraOccurrencesOnLeft());

  - ### getExtraOccurrencesOnLeftSize

    int getExtraOccurrencesOnLeftSize()
    Returns the total number of extra records on the left side.

  - ### getExtraOccurrencesOnRight

    List<ExtraOccurrenceOnRight> getExtraOccurrencesOnRight()
    Returns the extra records on the right. These are the records that exist in the table on the right side but not in the table on the left side.
    Returns:
      a `List` of `ExtraOccurrenceOnRight`.

  - ### getExtraOccurrenceOnRight

    ExtraOccurrenceOnRight getExtraOccurrenceOnRight(PrimaryKey aKey)

  - ### getExtraOccurrencesOnRight

    void getExtraOccurrencesOnRight(List<? super ExtraOccurrenceOnRight> aCollection)
    Adds the extra records on the right side to the specified collection.

    This is equivalent to:

         aCollection.addAll(this.getExtraOccurrencesOnRight());

  - ### getExtraOccurrencesOnRightSize

    int getExtraOccurrencesOnRightSize()
    Returns the total number of extra records on the right side.

  - ### getDeltaOccurrences

    List<DifferenceBetweenOccurrences> getDeltaOccurrences()
    Returns the delta records. These are the records that are defined in both tables (according to their primary keys), but have differences.
    Returns:
      a `List` of `DifferenceBetweenOccurrences`.

  - ### getDeltaOccurrence

    DifferenceBetweenOccurrences getDeltaOccurrence(PrimaryKey aPrimaryKey)

  - ### getDeltaOccurrences

    void getDeltaOccurrences(List<? super DifferenceBetweenOccurrences> aCollection)
    Adds the delta records to the specified collection.

    This is equivalent to:

         aCollection.addAll(this.getDeltaOccurrences());

  - ### getDeltaOccurrencesSize

    int getDeltaOccurrencesSize()
    Returns the total number of delta records.